%define name emelfm2
%define version 0.0.5
%define release 2mdk 
 
Summary: File manager using the two-panel design and Gtk2
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: File tools
Source: %{name}-%{version}.tar.bz2 
Url: http://freshmeat.net/redir/emelfm2
Patch: emelfm2-0.0.4-Makefile.config.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:  gtk+2-devel
BuildRequires:  gcc >= 3.3 

%description
emelFM2 is the GTK+2 port of emelFM
emelFM is a file manager that implements the popular two-panel design. It
features a simple GTK+2 interface, a flexible filetyping scheme, and a built-in
command line for executing commands without opening an xterm.

Features:
     o Simple Interface 
     o Bookmarks and History Lists 
     o Flexible filetyping scheme 
     o Multiple actions selectable for each filetype 
     o Filename, Size, and Date Filters 
     o Built-In Command Line 
     o User-defined menu 
     o Configurable Keyboard bindings 
     o Configurable Toolbar 
     o Runtime loadable plugins 

Note: EmelFM2 and EmelFM are parallel installable

%prep
 
%setup -q
%patch -p1
 
%build

%make 

%install

%make install 

cp --remove-destination docs/* $RPM_BUILD_DIR/%{name}-%{version}

mkdir -p $RPM_BUILD_ROOT/%{_bindir}            
install -m 755  tmp/%{_bindir}/*  $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/%{name}/plugins
install  -m 755 tmp/%{_libdir}/%{name}/plugins/*  $RPM_BUILD_ROOT/%{_libdir}/%{name}/plugins  

(cd $RPM_BUILD_ROOT 
mkdir -p   ./usr/lib/menu
 cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
command="%{name}"\
title="Emelfm2"\
longtitle="A GTK+2 file manager"\
needs="x11"\
icon="file_tools_section.png"\
section="System/File tools"
EOF
)

%post
%{update_menus}   

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc CHANGELOG CREDITS GPL INSTALL PLUGINS README SPEC TODO WARNING help.txt 
%{_bindir}/*
%{_libdir}/menu/*
%dir %_libdir/%{name}
%dir %_libdir/%{name}/plugins
%{_libdir}/%{name}/plugins/*.so

%changelog
* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.5-2mdk 
- Fix menu entry

* Sat Jan 24 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.5-1mdk
- 0.0.5

* Sun Jan 11 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.4-1mdk
- first mdk pkg 


